curl --request GET \
--url https://testapi.kravata.co/api/ramps/{clientId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://testapi.kravata.co/api/ramps/{clientId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://testapi.kravata.co/api/ramps/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"id": "6439c65a-8014-4e18-8f05-0a8a7f82ef80",
"amountSent": 500000,
"amountReceived": 114.88,
"bankAccountId": "e3569aa4-b0f5-4e24-85df-f7708b855db8",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"userWalletId": "d5a3b243-db5b-46c7-b4ce-8e2b88a72122",
"numberRamp": "0005023",
"operationCategory": "ramp",
"originUserId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"destinationUsertId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"rampType": "on_ramp",
"registerDate": "2024-10-27 01:53:38.028051",
"status": "received",
"symbolTypeReceived": "USDC",
"symbolTypeSent": "COP"
},
{
"id": "3e510516-3815-42b3-9ad9-9e36281e2c16",
"amountSent": 45000,
"amountReceived": 10.38,
"bankAccountId": "e3569aa4-b0f5-4e24-85df-f7708b855db8",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"userWalletId": "d5a3b243-db5b-46c7-b4ce-8e2b88a72122",
"numberRamp": "0005022",
"operationCategory": "ramp",
"originUserId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"destinationUsertId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"rampType": "on_ramp",
"registerDate": "2024-10-26 21:49:17.026899",
"status": "pending",
"symbolTypeReceived": "USDC",
"symbolTypeSent": "COP"
},
{
"id": "56de6808-9f9b-4fd9-878a-30784be4fe48",
"amountSent": 500000,
"amountReceived": 115.34,
"bankAccountId": "e3569aa4-b0f5-4e24-85df-f7708b855db8",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"userWalletId": "d5a3b243-db5b-46c7-b4ce-8e2b88a72122",
"numberRamp": "0005021",
"operationCategory": "ramp",
"originUserId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"destinationUsertId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"rampType": "on_ramp",
"registerDate": "2024-10-26 21:48:40.716707",
"status": "pending",
"symbolTypeReceived": "USDC",
"symbolTypeSent": "COP"
},
{
"id": "fd049db0-c240-4146-a433-93f9a326fb18",
"amountSent": 500000,
"amountReceived": null,
"bankAccountId": "e3569aa4-b0f5-4e24-85df-f7708b855db8",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"userWalletId": "d5a3b243-db5b-46c7-b4ce-8e2b88a72122",
"numberRamp": "0005020",
"operationCategory": "ramp",
"originUserId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"destinationUsertId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"rampType": "on_ramp",
"registerDate": "2024-10-26 21:36:52.034043",
"status": "pending",
"symbolTypeReceived": "USDC",
"symbolTypeSent": "COP"
},
{
"id": "b3c729ee-b527-4b35-9b42-a766bb8afa95",
"amountSent": 500000,
"amountReceived": 115.34,
"bankAccountId": "e3569aa4-b0f5-4e24-85df-f7708b855db8",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"userWalletId": "d5a3b243-db5b-46c7-b4ce-8e2b88a72122",
"numberRamp": "0005019",
"operationCategory": "ramp",
"originUserId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"destinationUsertId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"rampType": "on_ramp",
"registerDate": "2024-10-26 21:33:19.929165",
"status": "pending",
"symbolTypeReceived": "USDC",
"symbolTypeSent": "COP"
},
{
"id": "5171ff83-dcf0-44a9-9f3f-14d1587f8ffa",
"amountSent": 500000,
"amountReceived": null,
"bankAccountId": "e3569aa4-b0f5-4e24-85df-f7708b855db8",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"userWalletId": "d5a3b243-db5b-46c7-b4ce-8e2b88a72122",
"numberRamp": "",
"operationCategory": "ramp",
"originUserId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"destinationUsertId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"rampType": "on_ramp",
"registerDate": "2024-10-26 21:31:56.576228",
"status": "pending",
"symbolTypeReceived": "USDC",
"symbolTypeSent": "COP"
},
{
"id": "2cf64ad4-fb87-4f30-9708-0859079b9329",
"amountSent": 500000,
"amountReceived": null,
"bankAccountId": "e3569aa4-b0f5-4e24-85df-f7708b855db8",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"userWalletId": "d5a3b243-db5b-46c7-b4ce-8e2b88a72122",
"numberRamp": "0005018",
"operationCategory": "ramp",
"originUserId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"destinationUsertId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"rampType": "on_ramp",
"registerDate": "2024-10-26 21:28:55.025501",
"status": "pending",
"symbolTypeReceived": "USDC",
"symbolTypeSent": "COP"
},
{
"id": "ac4ffaba-8221-46a1-8ada-cecdb319df18",
"amountSent": 500000,
"amountReceived": null,
"bankAccountId": "e3569aa4-b0f5-4e24-85df-f7708b855db8",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"userWalletId": "d5a3b243-db5b-46c7-b4ce-8e2b88a72122",
"numberRamp": "0005017",
"operationCategory": "ramp",
"originUserId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"destinationUsertId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"rampType": "on_ramp",
"registerDate": "2024-10-26 21:26:29.759974",
"status": "pending",
"symbolTypeReceived": "USDC",
"symbolTypeSent": "COP"
},
{
"id": "46d5502f-c614-42e9-aec7-ba80b1f2b3bd",
"amountSent": 500000,
"amountReceived": null,
"bankAccountId": "e3569aa4-b0f5-4e24-85df-f7708b855db8",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"userWalletId": "d5a3b243-db5b-46c7-b4ce-8e2b88a72122",
"numberRamp": "0005016",
"operationCategory": "ramp",
"originUserId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"destinationUsertId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"rampType": "on_ramp",
"registerDate": "2024-10-26 21:23:31.978446",
"status": "pending",
"symbolTypeReceived": "USDC",
"symbolTypeSent": "COP"
},
{
"id": "3fa82603-4cc9-4751-a528-deff04f8be52",
"amountSent": 500000,
"amountReceived": null,
"bankAccountId": "e3569aa4-b0f5-4e24-85df-f7708b855db8",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"userWalletId": "d5a3b243-db5b-46c7-b4ce-8e2b88a72122",
"numberRamp": "0005015",
"operationCategory": "ramp",
"originUserId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"destinationUsertId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"rampType": "on_ramp",
"registerDate": "2024-10-26 21:22:21.815628",
"status": "pending",
"symbolTypeReceived": "USDC",
"symbolTypeSent": "COP"
},
{
"id": "21623c5c-86a0-4566-ad37-e8f79a214267",
"amountSent": 500000,
"amountReceived": null,
"bankAccountId": "e3569aa4-b0f5-4e24-85df-f7708b855db8",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"userWalletId": "d5a3b243-db5b-46c7-b4ce-8e2b88a72122",
"numberRamp": "0005014",
"operationCategory": "ramp",
"originUserId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"destinationUsertId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"rampType": "on_ramp",
"registerDate": "2024-10-26 19:23:13.025025",
"status": "pending",
"symbolTypeReceived": "USDC",
"symbolTypeSent": "COP"
},
{
"id": "8482e34a-f203-4ad3-811b-302de3ccae49",
"amountSent": 500000,
"amountReceived": null,
"bankAccountId": "e3569aa4-b0f5-4e24-85df-f7708b855db8",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"userWalletId": "d5a3b243-db5b-46c7-b4ce-8e2b88a72122",
"numberRamp": "0005013",
"operationCategory": "ramp",
"originUserId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"destinationUsertId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"rampType": "on_ramp",
"registerDate": "2024-10-26 19:14:13.590303",
"status": "pending",
"symbolTypeReceived": "USDC",
"symbolTypeSent": "COP"
}
]Get Ramps
This endpoint retrieves the order history for the given client ID.
Request
| Field | Type | Required | Description |
|---|---|---|---|
| Authorization | Header | Yes | The access token is used to authenticate requests to other endpoints. It is valid for 5 minutes. |
| clientID | URL | Yes | Include your assigned ID in the URL, obtainable through the Get infoClient endpoint. |
Use the following optional query parameters to customize the results:
-
DateMin: Specifies the starting date for filtering results. Format: YYYY-MM-DD.
-
DateMax: Defines the ending date for filtering results. Format: YYYY-MM-DD.
-
Status: Filters results by order status, such as ‘pending’, ‘cancelled’, or ‘payapproved’.
-
Page: Specifies the page number (required if the “PerPage” parameter is used)
-
PerPage: Specifies the number of records per page (required if the “Page” parameter is used)
Response
Upon a successful request, the server will respond with the following details:
| Field | Description |
|---|---|
| Id | The unique identifier of the ramp. |
| amountSent | This is the amount you sent to us. |
| amountReceive | This is the resulting amount of your operation. |
| bankAccountId | This is the unique identifier of the bank account you want to use for your order. |
| walletId | This is the unique identifier of the wallet you want to use for your order. |
| numberRamp | This is your ramp tracking number. |
| rampType | The type of order/ ramp you will create (“on_ramp”: if you have Fiat and want to receive Stable Coin; “off_ramp”: if you have Stable Coin and want to receive Fiat). |
| registerDate | This is the date when you created your ramp with us. |
| status | The status of the ramp. It can be: “pending”: Awaiting proof of funds transfer., “payapproved”: Funds received and approved, “payrejected”: The funds transfer does not meet our requirements, “completed”: Transaction successfully completed. “received”: Hash ID or Payment Voucher has been sent through the endpoint. “cancelled”: Ramp expired without completion. “paymentinprocess”: The payment is in process. “paidawaitingfunds”: The payment has been approved, but the funds have not arrived |
| symbolTypeSent | The symbol of the token/fiat sent in the order |
| symbolTypeReceived | The symbol of the token/fiat resulting in the order |
curl --request GET \
--url https://testapi.kravata.co/api/ramps/{clientId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://testapi.kravata.co/api/ramps/{clientId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://testapi.kravata.co/api/ramps/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"id": "6439c65a-8014-4e18-8f05-0a8a7f82ef80",
"amountSent": 500000,
"amountReceived": 114.88,
"bankAccountId": "e3569aa4-b0f5-4e24-85df-f7708b855db8",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"userWalletId": "d5a3b243-db5b-46c7-b4ce-8e2b88a72122",
"numberRamp": "0005023",
"operationCategory": "ramp",
"originUserId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"destinationUsertId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"rampType": "on_ramp",
"registerDate": "2024-10-27 01:53:38.028051",
"status": "received",
"symbolTypeReceived": "USDC",
"symbolTypeSent": "COP"
},
{
"id": "3e510516-3815-42b3-9ad9-9e36281e2c16",
"amountSent": 45000,
"amountReceived": 10.38,
"bankAccountId": "e3569aa4-b0f5-4e24-85df-f7708b855db8",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"userWalletId": "d5a3b243-db5b-46c7-b4ce-8e2b88a72122",
"numberRamp": "0005022",
"operationCategory": "ramp",
"originUserId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"destinationUsertId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"rampType": "on_ramp",
"registerDate": "2024-10-26 21:49:17.026899",
"status": "pending",
"symbolTypeReceived": "USDC",
"symbolTypeSent": "COP"
},
{
"id": "56de6808-9f9b-4fd9-878a-30784be4fe48",
"amountSent": 500000,
"amountReceived": 115.34,
"bankAccountId": "e3569aa4-b0f5-4e24-85df-f7708b855db8",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"userWalletId": "d5a3b243-db5b-46c7-b4ce-8e2b88a72122",
"numberRamp": "0005021",
"operationCategory": "ramp",
"originUserId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"destinationUsertId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"rampType": "on_ramp",
"registerDate": "2024-10-26 21:48:40.716707",
"status": "pending",
"symbolTypeReceived": "USDC",
"symbolTypeSent": "COP"
},
{
"id": "fd049db0-c240-4146-a433-93f9a326fb18",
"amountSent": 500000,
"amountReceived": null,
"bankAccountId": "e3569aa4-b0f5-4e24-85df-f7708b855db8",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"userWalletId": "d5a3b243-db5b-46c7-b4ce-8e2b88a72122",
"numberRamp": "0005020",
"operationCategory": "ramp",
"originUserId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"destinationUsertId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"rampType": "on_ramp",
"registerDate": "2024-10-26 21:36:52.034043",
"status": "pending",
"symbolTypeReceived": "USDC",
"symbolTypeSent": "COP"
},
{
"id": "b3c729ee-b527-4b35-9b42-a766bb8afa95",
"amountSent": 500000,
"amountReceived": 115.34,
"bankAccountId": "e3569aa4-b0f5-4e24-85df-f7708b855db8",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"userWalletId": "d5a3b243-db5b-46c7-b4ce-8e2b88a72122",
"numberRamp": "0005019",
"operationCategory": "ramp",
"originUserId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"destinationUsertId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"rampType": "on_ramp",
"registerDate": "2024-10-26 21:33:19.929165",
"status": "pending",
"symbolTypeReceived": "USDC",
"symbolTypeSent": "COP"
},
{
"id": "5171ff83-dcf0-44a9-9f3f-14d1587f8ffa",
"amountSent": 500000,
"amountReceived": null,
"bankAccountId": "e3569aa4-b0f5-4e24-85df-f7708b855db8",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"userWalletId": "d5a3b243-db5b-46c7-b4ce-8e2b88a72122",
"numberRamp": "",
"operationCategory": "ramp",
"originUserId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"destinationUsertId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"rampType": "on_ramp",
"registerDate": "2024-10-26 21:31:56.576228",
"status": "pending",
"symbolTypeReceived": "USDC",
"symbolTypeSent": "COP"
},
{
"id": "2cf64ad4-fb87-4f30-9708-0859079b9329",
"amountSent": 500000,
"amountReceived": null,
"bankAccountId": "e3569aa4-b0f5-4e24-85df-f7708b855db8",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"userWalletId": "d5a3b243-db5b-46c7-b4ce-8e2b88a72122",
"numberRamp": "0005018",
"operationCategory": "ramp",
"originUserId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"destinationUsertId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"rampType": "on_ramp",
"registerDate": "2024-10-26 21:28:55.025501",
"status": "pending",
"symbolTypeReceived": "USDC",
"symbolTypeSent": "COP"
},
{
"id": "ac4ffaba-8221-46a1-8ada-cecdb319df18",
"amountSent": 500000,
"amountReceived": null,
"bankAccountId": "e3569aa4-b0f5-4e24-85df-f7708b855db8",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"userWalletId": "d5a3b243-db5b-46c7-b4ce-8e2b88a72122",
"numberRamp": "0005017",
"operationCategory": "ramp",
"originUserId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"destinationUsertId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"rampType": "on_ramp",
"registerDate": "2024-10-26 21:26:29.759974",
"status": "pending",
"symbolTypeReceived": "USDC",
"symbolTypeSent": "COP"
},
{
"id": "46d5502f-c614-42e9-aec7-ba80b1f2b3bd",
"amountSent": 500000,
"amountReceived": null,
"bankAccountId": "e3569aa4-b0f5-4e24-85df-f7708b855db8",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"userWalletId": "d5a3b243-db5b-46c7-b4ce-8e2b88a72122",
"numberRamp": "0005016",
"operationCategory": "ramp",
"originUserId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"destinationUsertId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"rampType": "on_ramp",
"registerDate": "2024-10-26 21:23:31.978446",
"status": "pending",
"symbolTypeReceived": "USDC",
"symbolTypeSent": "COP"
},
{
"id": "3fa82603-4cc9-4751-a528-deff04f8be52",
"amountSent": 500000,
"amountReceived": null,
"bankAccountId": "e3569aa4-b0f5-4e24-85df-f7708b855db8",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"userWalletId": "d5a3b243-db5b-46c7-b4ce-8e2b88a72122",
"numberRamp": "0005015",
"operationCategory": "ramp",
"originUserId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"destinationUsertId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"rampType": "on_ramp",
"registerDate": "2024-10-26 21:22:21.815628",
"status": "pending",
"symbolTypeReceived": "USDC",
"symbolTypeSent": "COP"
},
{
"id": "21623c5c-86a0-4566-ad37-e8f79a214267",
"amountSent": 500000,
"amountReceived": null,
"bankAccountId": "e3569aa4-b0f5-4e24-85df-f7708b855db8",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"userWalletId": "d5a3b243-db5b-46c7-b4ce-8e2b88a72122",
"numberRamp": "0005014",
"operationCategory": "ramp",
"originUserId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"destinationUsertId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"rampType": "on_ramp",
"registerDate": "2024-10-26 19:23:13.025025",
"status": "pending",
"symbolTypeReceived": "USDC",
"symbolTypeSent": "COP"
},
{
"id": "8482e34a-f203-4ad3-811b-302de3ccae49",
"amountSent": 500000,
"amountReceived": null,
"bankAccountId": "e3569aa4-b0f5-4e24-85df-f7708b855db8",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"userWalletId": "d5a3b243-db5b-46c7-b4ce-8e2b88a72122",
"numberRamp": "0005013",
"operationCategory": "ramp",
"originUserId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"destinationUsertId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"rampType": "on_ramp",
"registerDate": "2024-10-26 19:14:13.590303",
"status": "pending",
"symbolTypeReceived": "USDC",
"symbolTypeSent": "COP"
}
]Authorizations
Access token from POST /api/token (valid 5 minutes).
Path Parameters
Query Parameters
Start date, format YYYY-MM-DDTHH:MM:SSZ.
End date, format YYYY-MM-DDTHH:MM:SSZ.
Filter by ramp status (e.g. pending, completed).
Page number (send with PerPage).
Records per page (send with Page).
Response
OK

